githubEdit

Listings endpoint

List listings (search)

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Search for Listing

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ListingSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
chevron-right
200

Your search result

application/json

ListingPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post
/api/listings/search

Update listings

put

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right. Bulk upsert listings independently of their facility

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ListingBulkUpsertPayload

Responses
chevron-right
200

Result of the bulk upsert operation

application/json

ListingBulkUpsertResponse

put
/api/listings

Get listing

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to get listing. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).

tenantArticleIdstringRequired

tenantArticleId of listing you want to get

Query parameters
localestringOptional

Provide the localized names and descriptions for the listing. If not provided the default locale is used., for example de_DE.

Responses
chevron-right
200

Listing is found & you were allowed to access it. The result is in the body.

application/json

Listing

get
/api/facilities/{facilityId}/listings/{tenantArticleId}

Delete listings

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to delete all listings of. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).

Responses
chevron-right
200

Facility listings were found and successfully deleted

No content

delete
/api/facilities/{facilityId}/listings

No content

List listings

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to get listing for. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).

Query parameters
startAfterIdstringOptional

all entities after given Id

sizeintegerOptional

number of facilities to show

Default: 25
tenantArticleIdsstring[] · max: 500Optional

Array of tenantArticleIds

scannableCodestringOptional

limit results to this scannableCode

Responses
chevron-right
200

Facility was found & you were allowed to access it. The results are in the body.

application/json

StrippedListings

totalintegerOptional

Total number of found entities for this query

Example: 42
get
/api/facilities/{facilityId}/listings

Update listings

put

Bulk PUT for Listings. Please note: This endpoint has legacy behaviour, i.e. all PUTs fail if a single PUT fails.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to put listings for. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).

Body

ListingsForReplacement

Responses
chevron-right
200

Facility listing was found & you were allowed to access it. The result is in the body.

application/json

ListingBulkOperationResult

statusstring · enumRequired

BulkOperationResultStatus

Possible values:
put
/api/facilities/{facilityId}/listings

Update listing

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to patch a listing of. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).

tenantArticleIdstringRequired

tenant ID of the articles listing you want to patch

Body

ListingPatchActions

versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
Responses
chevron-right
200

Facility listing was found and successfully patched

application/json

Listing

patch
/api/facilities/{facilityId}/listings/{tenantArticleId}
Deprecated

List listing partial stocks

get

This part of the API is deprecated. For details please check the api-release-life-cycle documentationarrow-up-right. This endpoint is deprecated. Use /api/stocks endpoints instead.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to get the partial stocks. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).

tenantArticleIdstringRequired

ID of listing you want to get partial stocks

Responses
chevron-right
200

Facility and listing were found & you are allowed to access it. The result is in the body.

application/json

PartialStock

get
/api/facilities/{facilityId}/listings/{tenantArticleId}/partialstocks

Delete listing

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to delete a listing of. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).

tenantArticleIdstringRequired

tenant ID of the articles listing you want to delete

Responses
chevron-right
200

Facility listing was found and successfully deleted

No content

delete
/api/facilities/{facilityId}/listings/{tenantArticleId}

No content

Deprecated

Update listing partial stocks

put

This part of the API is deprecated. For details please check the api-release-life-cycle documentationarrow-up-right. This endpoint is deprecated. Use /api/stocks endpoints instead. Replaces the current partial stock object related to its listing

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to get listing. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).

tenantArticleIdstringRequired

ID of listing you want to get partial stocks

Body

PartialStocksForReplacement

versioninteger · int64Required

The version of the listing where we want to put the partialStocks, to be used in optimistic locking mechanisms.

Example: 42
Responses
chevron-right
200

Facility listing was found & you were allowed to update it.

No content

put
/api/facilities/{facilityId}/listings/{tenantArticleId}/partialstocks

No content

Deprecated

Update listing partial stocks

patch

This part of the API is deprecated. For details please check the api-release-life-cycle documentationarrow-up-right. This endpoint is deprecated. Use /api/stocks endpoints instead. Adds new partial stocks, updates existing partial stocks and keeps stocks that are previously present in the database.

  1. If a stock exists in the patch action but not in the database it is added.

  2. If a stock exists both in the patch action and in the database it is updated and the contents are merged.

  3. If a stock exists only in the database, it is left untouched.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to patch the partial stocks. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).

tenantArticleIdstringRequired

ID of listing you want to get partial stocks

Body

PartialStockPatchActions

versioninteger · int64Required

The version of the listing where we want to patch the partialStocks, to be used in optimistic locking mechanisms.

Example: 42
Responses
chevron-right
200

Facility listing was found & you were allowed to update it.

No content

patch
/api/facilities/{facilityId}/listings/{tenantArticleId}/partialstocks

No content

Deprecated

Delete listing partial stocks

delete

This part of the API is deprecated. For details please check the api-release-life-cycle documentationarrow-up-right. This endpoint is deprecated. Use /api/stocks endpoints instead.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility from whom you want to delete the partial stock. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).

tenantArticleIdstringRequired

ID of listing you want to get partial stocks

Responses
chevron-right
200

Facility listing was found & you were allowed to delete the partial stock.

No content

delete
/api/facilities/{facilityId}/listings/{tenantArticleId}/partialstocks

No content

Last updated